* {
    box-sizing: border-box;
    ;
}

#page {
    height: 100vh;
    display: flex;
    flex-direction: column;
    
    padding: .5rem;
}

main {
    border-top: 1px solid grey;
    border-bottom: 1px solid grey;
    /* min-height: 50%; */
    flex-grow: 1;
    flex-shrink: 1;
    overflow:auto;
}

body {
    margin: 0;
}

label {
    justify-self: end;
    ;
}

#controls button{
    
    background-color: #1c8adb; /* Green background */
    border: 1px solid #216ce7; /* Green border */
    color: white; /* White text */
    padding: 10px 24px; /* Some padding */
    cursor: pointer; /* Pointer/hand icon */
    float: left; /* Float the buttons side by side */
}

.controls button:not(:last-child) {
    border-right: none; /* Prevent double borders */
}

.controls:after {
    content: "";
    clear: both;
    display: table;
}

.controls button:hover {
    background-color: #1c8adb;
}

#output {
    width: 100%;
    height: 100%;
    background: #eee;
    overflow: auto;
    margin: 0;
}
#output p {
    border-bottom: 1px solid grey;
    padding-bottom: .25rem;
}
#header {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

#header li {
    display: block;
    font-style: italic;
    font-size: 1.2rem;
    padding: .25rem;
    margin:0 1rem;
}

.msgBox {
    width: 150%;
    height: 56px;
}